version: '2.1'

services:

  elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:6.2.4
    environment:
      # - "transport.host=127.0.0.1"
      # - "http.cors.enabled=true"
      # - "http.cors.allow-origin=*"
      # - "http.cors.allow-headers=Authorization"
      - "ES_JAVA_OPTS=-Xms1024m -Xmx1024m"
      - "discovery.type=single-node"
    ports:
      - 9200:9200
      - 9300:9300
    volumes:
      - /usr/share/elasticsearch/data

  postgres:
    image: postgres:alpine
    ports:
      - 5432:5432
    volumes:
      - /var/lib/postgresql/data


